Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference VERSION B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.migration
Class MigrateDAC

`java.lang.Object
oracle.jbo.uicli.migration.MigrateDAC`

All Implemented Interfaces:
  MigUtil

public class MigrateDAC
extends java.lang.Object
implements MigUtil

Field Summary

Fields inherited from interface oracle.jbo.uicli.migration.MigUtil
`ADD, ATTRIBUTEINFO, CHARTCONTROL, CHECKBOX, COMBOBOX, DEFAULT_BINDING, DOCLICK, FOR_NAVIGATION, GRIDCONTROL, IMAGECONTROL, INITAPP, JBINIT_FUNC, JLABEL, JTABLE, JUCOMBO, JULABEL, JUTABLE, LABELCONTROL, LISTCONTROL, MEMBER, MENUITEM, NAVIGATIONBAR, postName, QUERYVIEWINFO, RADIOBUTTON, RADIOPANEL, ROWSETINFO, SESSION_TYPE, SESSIONINFO_TYPE, SETAPPMODULEINFO, SETATTRIBUTEINFO, SETCOLUMNLABELDATA, SETCONNECTINFO, SETDATA, SETDATAITEMFORUPDATE, SETDATAMODE, SETDESELECTION, SETEDIT, SETHEIGHT, SETLAYOUT, SETLISTKEYITEM, SETLISTVALUE, SETMASTERLINKINFO, SETNAME, SETQUERYINFO, SETSELECTION, SETTEXT, SETVALUE, SETWIDTH, STATUSBAR, TEXTAREA, TEXTFIELD, TREECONTROL, XYLAYOUT`

Constructor Summary
`MigrateDAC()`

Method Summary
`boolean` | `CheckAttrInList(AttributeList aList, java.lang.String name)`
`void` | `createCpxFile()`
`oracle.adf.dt.objects.jui.JUDTForm` | `createJForm(java.lang.String fName, AttributeList cList)`
`AttributeList` | `getArrayInfo(oracle.javatools.parser.java.v1.symbol.ExpressionSymbol eSrc)`
`AttributeList` | `getMembers(oracle.javatools.parser.java.v1.symbol.ClassSymbol sClass)`
`oracle.javatools.parser.java.v1.symbol.MethodSymbol` | `getMethodFromClass(oracle.javatools.parser.java.v1.symbol.ClassSymbol sClass, java.lang.String name)`
`java.lang.String[]` | `getPosition(oracle.javatools.parser.java.v1.symbol.ExpressionSymbol eSrc)`
`java.lang.String` | `getRealPath(java.lang.String op)`
`RowSetInfo[]` | `getRowSetInfo(oracle.javatools.parser.java.v1.symbol.MethodSymbol sMethod)`
`AttributeList` | `getRowSetInfoField(oracle.javatools.parser.java.v1.symbol.ClassSymbol sClass)`
`java.lang.String[]` | `getStringArray(java.lang.String str)`
`static void` | `main(java.lang.String[] args)`
`AttributeList` | `parseForm(oracle.javatools.parser.java.v1.symbol.ClassSymbol formClass)`
`static void` | `printform(AttributeList fList)`
`void` | `processClass(oracle.javatools.parser.java.v1.symbol.ClassSymbol formClass)`
`void` | `processProject(java.lang.String[] args)`
`java.lang.String` | `removeQuota(java.lang.String src)`
`java.lang.String` | `replaceString(java.lang.String src, java.lang.String dStr, java.lang.String rStr)`
`void` | `setAppName(java.lang.String aName)`
`void` | `setOutputPath(java.lang.String oPath)`
`void` | `setOutputStream(java.io.OutputStream os)`
`void` | `setPackageName(java.lang.String pName)`
`void` | `setSrcPath(java.lang.String path)`
`void` | `writeToStream(java.lang.String str)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MigrateDAC

    public MigrateDAC()

Method Detail

### getMembers

    public AttributeList getMembers(oracle.javatools.parser.java.v1.symbol.ClassSymbol sClass)

### getRowSetInfoField

    public AttributeList getRowSetInfoField(oracle.javatools.parser.java.v1.symbol.ClassSymbol sClass)

### getMethodFromClass

    public oracle.javatools.parser.java.v1.symbol.MethodSymbol getMethodFromClass(oracle.javatools.parser.java.v1.symbol.ClassSymbol sClass,
                                                                                  java.lang.String name)

### getRowSetInfo

    public RowSetInfo[] getRowSetInfo(oracle.javatools.parser.java.v1.symbol.MethodSymbol sMethod)

### CheckAttrInList

    public boolean CheckAttrInList(AttributeList aList,
                                   java.lang.String name)

### getPosition

    public java.lang.String[] getPosition(oracle.javatools.parser.java.v1.symbol.ExpressionSymbol eSrc)

### getArrayInfo

    public AttributeList getArrayInfo(oracle.javatools.parser.java.v1.symbol.ExpressionSymbol eSrc)

### createCpxFile

    public void createCpxFile()

### replaceString

    public java.lang.String replaceString(java.lang.String src,
                                          java.lang.String dStr,
                                          java.lang.String rStr)

### processClass

    public void processClass(oracle.javatools.parser.java.v1.symbol.ClassSymbol formClass)

### writeToStream

    public void writeToStream(java.lang.String str)

### setOutputStream

    public void setOutputStream(java.io.OutputStream os)

### parseForm

    public AttributeList parseForm(oracle.javatools.parser.java.v1.symbol.ClassSymbol formClass)

### createJForm

    public oracle.adf.dt.objects.jui.JUDTForm createJForm(java.lang.String fName,
                                                          AttributeList cList)

### setPackageName

    public void setPackageName(java.lang.String pName)

### setAppName

    public void setAppName(java.lang.String aName)

### setSrcPath

    public void setSrcPath(java.lang.String path)

### setOutputPath

    public void setOutputPath(java.lang.String oPath)

### printform

    public static void printform(AttributeList fList)

### removeQuota

    public java.lang.String removeQuota(java.lang.String src)

### getRealPath

    public java.lang.String getRealPath(java.lang.String op)

### getStringArray

    public java.lang.String[] getStringArray(java.lang.String str)

### processProject

    public void processProject(java.lang.String[] args)

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference VERSION B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.